import PersistenceManager from './PersistenceManager';
declare class RESTPersistenceManager extends PersistenceManager {
    private documentUrl;
    private revertUrl;
    private lockUrl;
    private onSave;
    private clearTimeout;
    constructor(options: {
        documentUrl: string;
        revertUrl: string;
        lockUrl: string;
    });
    saveMapXml(mapId: string, mapXml: Document, pref: string, saveHistory: boolean, events: any): void;
    discardChanges(mapId: string): void;
    unlockMap(mapId: string): void;
    private _buildError;
    loadMapDom(mapId: string): Promise<Document>;
}
export default RESTPersistenceManager;
